Subject: Re: [ofa-general] Re: [PATCH 06/21] RDS: Connection handling

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 29 Jan 2009 11:03:30 +0300

On Wed, Jan 28, 2009 at 07:03:49PM -0800, Andrew Grover ([email-masked]) wrote:
> What's the best way to fix this?
> 
> This is all so rds-info can print out a nice list of connections, and
> if they're sending or not. I don't see an easy way to fix this. A
> _trylock-like function that didn't grab it would be nice? I can always
> just not report this particular bit of info, that actually might be
> easiest.

You use atomic variables for the other cases, add another one here to
mark locked connection. Looks ugly but does not crash at least.

-- 
	Evgeniy Polyakov